Subject: Re: linux-next: manual merge of the rr_cpumask tree

From: Rusty Russell <[email-masked]>
Date: Tue, 16 Dec 2008 16:10:58 +1030

On Tuesday 16 December 2008 02:57:09 Mike Travis wrote:
> Rusty Russell wrote:
> > On Monday 15 December 2008 16:39:45 Stephen Rothwell wrote:
> >> Hi Rusty,
> >>
> >> Today's linux-next merge of the rr_cpumask tree got a conflict in
> >> arch/x86/kernel/io_apic.c between commit
> >> 3145e941fcfe2548fa2270afb1a05bab3a6bc418 ("x86, MSI: pass irq_cfg and
> >> irq_desc") from the sparseirq tree and commit
> >> 0de26520c7cabf36e1de090ea8092f011a6106ce ("cpumask: make irq_set_affinity
> >> () take a const struct cpumask") from the rr_cpumask tree.
> >>
> >> There are lots of overlapping changes.  I fixed it up (see below) and can carry the
> >> fix as necessary.
> > 
> > I have performed this merge before.  The results are in
> > 	git://git.kernel.org/pub/scm/linux/kernel/git/rusty/linux-2.6-for-ingo.git
> > 
> > Ingo, can you pull these into cpus4096?  It's just the cpumask/cpus4096 merge.
> > 
> > Thanks,
> > Rusty.
> 
> Hi Rusty,
> 
> Did you update your tip/cpus4096 branch?

No.  As I said, I just did a merge of ingo's 4096 tree with the cpumask tree.
He should pull that, and then the rest of the x86 patches can go on top.

Cheers,
Rusty.